import { View } from "./layout/View";
import type { UserEvent } from "./layout/eventTypes";
/**
 * Responsible for dispatching events to the correct views.
 */
export declare class EventManager {
    private readonly events;
    private focused;
    constructor();
    /**
     * Adds an event to the queue.
     */
    dispatchEvent(event: UserEvent): void;
    setFocused(view: View | null): void;
    /**
     * Processes all events in the queue, leaving it empty, by visiting all views in the given root
     * tree and offering them to the views in the reverse DFS order.
     */
    deliverEvents(root: View): void;
    private lastPosition;
    private onMouseMove;
}
