/**
 * @param classDef class definition table.
 * @returns a map from glyph ID to class ID.
 */
export function generateGlyphToClassMap(classDef) {
    const glyphToClass = new Map();
    if (classDef.format === 1) {
        // ClassDefFormat1
        let glyphID = classDef.startGlyph;
        for (const classValue of classDef.classes) {
            glyphToClass.set(glyphID, classValue);
            glyphID++;
        }
    }
    else if (classDef.format === 2) {
        // ClassDefFormat2
        for (const range of classDef.ranges) {
            for (let glyphID = range.startGlyphID; glyphID <= range.endGlyphID; glyphID++) {
                glyphToClass.set(glyphID, range.class);
            }
        }
    }
    return glyphToClass;
}
//# sourceMappingURL=generateGlyphToClassMap.js.map