import type { Lookups } from "./types";
/**
 * @param lookups see `prepareLookups()`.
 * @param options optional parameters like alphabet or whether SDF should be
 * used to render the atlas.
 * @returns an image bitmap of the font atlas.
 */
export declare function renderFontAtlas(lookups: Lookups, options?: {
    alphabet?: string;
    useSDF?: boolean;
}): Promise<ImageBitmap>;
/**
 * Helper function for placing glyphs in the font atlas.
 *
 * @param fontSize
 * @returns gap size based on the `fontSize`.
 */
export declare function fontSizeToGap(fontSize: number): number;
