import type { Vec2 } from "../math/Vec2";
import type { Lookups } from "../font/types";
import type { Node } from "./Node";
/**
 * This function traverses the tree and calculates layout information - `width`, `height`, `x`, `y`
 * of each element - and stores it in `__state` of each node. Coordinates are in pixels and start
 * point for each element is top left corner of the root element, which is created around the tree
 * passed to this function. What this means in practice is that all coordinates are global and not
 * relative to the parent.
 *
 * @param tree tree of views to layout.
 * @param fontLookups used for calculating text shapes for text wrapping. Can be `null` if not needed.
 * @param rootSize size of the root element.
 */
export declare function layout(tree: Node, fontLookups: Lookups | null, rootSize: Vec2): void;
