/**
 * A 2D vector.
 */
export declare class Vec2 {
    readonly x: number;
    readonly y: number;
    constructor(x: number, y: number);
    add(other: Vec2): Vec2;
    subtract(other: Vec2): Vec2;
    length(): number;
    normalize(): Vec2;
    scale(scalar: number): Vec2;
    cross(other: Vec2): number;
    dot(other: Vec2): number;
    distance(other: Vec2): number;
    lerp(other: Vec2, t: number): Vec2;
    equalsEpsilon(other: Vec2, epsilon: number): boolean;
    equals(other: Vec2): boolean;
    data(): Array<number>;
    toString(): string;
}
