/**
 * A 3-dimensional vector.
 */
export declare class Vec3 {
    readonly x: number;
    readonly y: number;
    readonly z: number;
    constructor(x: number, y: number, z: number);
    add(other: Vec3): Vec3;
    subtract(other: Vec3): Vec3;
    length(): number;
    normalize(): Vec3;
    scale(scalar: number): Vec3;
    cross(other: Vec3): Vec3;
    dot(other: Vec3): number;
    distance(other: Vec3): number;
    lerp(other: Vec3, t: number): Vec3;
    equalsEpsilon(other: Vec3, epsilon: number): boolean;
    equals(other: Vec3): boolean;
    toString(): string;
}
