import { Vec2 } from "./Vec2";
import { Vec3 } from "./Vec3";
/**
 * A 4-dimensional vector.
 */
export declare class Vec4 {
    readonly x: number;
    readonly y: number;
    readonly z: number;
    readonly w: number;
    constructor(x: number, y: number, z: number, w: number);
    add(other: Vec4): Vec4;
    subtract(other: Vec4): Vec4;
    length(): number;
    normalize(): Vec4;
    scale(scalar: number): Vec4;
    cross(other: Vec4): Vec4;
    dot(other: Vec4): number;
    distance(other: Vec4): number;
    lerp(other: Vec4, t: number): Vec4;
    xy(): Vec2;
    zw(): Vec2;
    xyz(): Vec3;
    equalsEpsilon(other: Vec4, epsilon: number): boolean;
    equals(other: Vec4): boolean;
    data(): Array<number>;
    toString(): string;
}
