import type { Vec2 } from "./Vec2";
import { Vec4 } from "./Vec4";
/**
 * Makes sure that the given value is within the given range using combination
 * of min() and max().
 */
export declare function clamp(value: number, min: number, max: number): number;
/**
 * Performs a linear interpolation between two values.
 */
export declare function lerp(a: number, b: number, t: number): number;
/**
 * Performs a smooth interpolation between two values.
 * `t` should be in the range [0, 1].
 */
export declare function smoothstep(a: number, b: number, t: number): number;
/**
 * Converts degrees to radians.
 */
export declare function toRadians(degrees: number): number;
/**
 * Converts radians to degrees.
 */
export declare function toDegrees(radians: number): number;
/**
 * Returns the next power of two that is greater than or equal to the given
 * value.
 */
export declare function nextPowerOfTwo(value: number): number;
/**
 * Returns intersection of two rectangles. If there is no intersection, returns a Vec4(0, 0, 0, 0).
 */
export declare function intersection(a: Vec4, b: Vec4): Vec4;
/**
 * Checks if the given point is inside the given rectangle.
 */
export declare function isInside(point: Vec2, rectangle: Vec4): boolean;
