export class Queue {
    start = null;
    end = null;
    size = 0;
    enqueue(value) {
        const node = {
            data: value,
            next: null,
            prev: null,
        };
        if (this.end) {
            this.end.next = node;
            node.prev = this.end;
        }
        else {
            this.start = node;
        }
        this.end = node;
        this.size += 1;
    }
    dequeue() {
        const node = this.start;
        if (node === null) {
            return null;
        }
        if (node.next) {
            this.start = node.next;
        }
        else {
            this.start = null;
            this.end = null;
        }
        this.size -= 1;
        return node.data;
    }
    dequeueFront() {
        const node = this.end;
        if (node === null) {
            return null;
        }
        if (node.prev) {
            this.end = node.prev;
        }
        else {
            this.start = null;
            this.end = null;
        }
        this.size -= 1;
        return node.data;
    }
    isEmpty() {
        return this.size === 0;
    }
}
//# sourceMappingURL=Queue.js.map